#!/bin/bash
#
# Copyright 2013 Stefan Brenner, Sven Schober
#
# This file is part of DAE.
#
# DAE is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DAE is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DAE.  If not, see <http://www.gnu.org/licenses/>.
#

### global config
DIR="./results"
EXE="./master.sh"
PLOT="./gnuplot.sh"
DEF_ITER=25

mkdir -p $DIR

### execution

# numbers 0.0 0.1 ... 1.0
num=$(awk 'BEGIN{for(i=0;i<=1;i+=0.1)print i}' | sed 's/,/./')

# FIGURE: all trees embedding synthetic for different symratio (rel error)

sequoia="$DIR/synth-error-zeta-sequoia.dat"
song="$DIR/synth-error-zeta-song.dat"
dae="$DIR/synth-error-zeta-dae.dat"
figure="synth-error-zeta.tex"

# rm $sequoia
# rm $song
# rm $dae

# touch $sequoia
# touch $song
# touch $dae

# for symratio in $num; do
# 	$EXE -to dslconnections -avgerror -tr sequoia -i $DEF_ITER -symratio $symratio -std -v >> $sequoia
# 	$EXE -to dslconnections -avgerror -tr song -i $DEF_ITER -symratio $symratio -std -v >> $song
# 	$EXE -to dslconnections -avgerror -tr dae -i $DEF_ITER -symratio $symratio -std -v >> $dae
# done

$PLOT $figure 'Asymmetry Ratio $\\zeta$' 'Relative Error $e_r$' 0 1 0 3 0 0 "DAE" $dae "Song" $song "Sequoia-15" $sequoia
