/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia;

class Edge {
		final Double weight;
		final String a;
		final String b;

		public Edge(String a, String b, double w) {
			weight = w;
			this.a = a;
			this.b = b;
		}

		public int hashCode() {
			int result = 17;
			result = 31 * result + a.hashCode();
			result = 31 * result + b.hashCode();
			result = 31 * result + weight.intValue();
			return result;
		}

		public boolean equals(Object other) {
			if (other.getClass().equals(this.getClass())) {
				Edge e = (Edge) other;
				if ((e.a.equals(a) && e.b.equals(b)) || (e.a.equals(b) && e.b.equals(a)))
					return true;
			}
			return false;
		}

		public String toString() {
			return String.valueOf(Math.round(weight));
		}
	}