/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia;

import org.apache.commons.math3.stat.descriptive.DescriptiveStatistics;

public class TestResult {
	private DescriptiveStatistics _relativeError = new DescriptiveStatistics();
	private DescriptiveStatistics _embeddingRatio = new DescriptiveStatistics();
	private DescriptiveStatistics _measurementRatio = new DescriptiveStatistics();
	
	public TestResult() {
	}
	
	public TestResult(DescriptiveStatistics stats, DescriptiveStatistics embeddingRatio, DescriptiveStatistics measurementRatio) {
		_relativeError = stats;
		_embeddingRatio = embeddingRatio;
		_measurementRatio = measurementRatio;
	}
	
	public DescriptiveStatistics getRelErrors() {
		return _relativeError;
	}
	public void setStats(DescriptiveStatistics stats) {
		this._relativeError = stats;
	}
	public DescriptiveStatistics getEmbeddingRatio() {
		return _embeddingRatio;
	}
	public void setEmbeddingRatio(DescriptiveStatistics embeddingRatio) {
		this._embeddingRatio = embeddingRatio;
	}
	public DescriptiveStatistics getMeasurementRatio() {
		return _measurementRatio;
	}
	public void setMeasurementRatio(DescriptiveStatistics measurementRatio) {
		this._measurementRatio = measurementRatio;
	}
	public void addError(double error) {
		_relativeError.addValue(error);
	}
	public void addEmbRatio(double ratio) {
		_embeddingRatio.addValue(ratio);
	}
	public void addMeasRatio(double ratio) {
		_measurementRatio.addValue(ratio);
	}
}
